Bug 213593 - Suspend not re-initializing i855GM or i945GM properly
Summary: Suspend not re-initializing i855GM or i945GM properly
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-02 05:57 UTC by Luke Hutchison
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-28 21:36:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stage 1 (90.19 KB, image/jpeg)
2006-11-02 05:58 UTC, Luke Hutchison
no flags Details
stage 2 (79.19 KB, image/jpeg)
2006-11-02 05:59 UTC, Luke Hutchison
no flags Details
stage 3 (41.28 KB, image/jpeg)
2006-11-02 05:59 UTC, Luke Hutchison
no flags Details

Description Luke Hutchison 2006-11-02 05:57:41 UTC
On my Sony Vaio PCG-TR3AP3, suspend-to-RAM was working fine on FC6test3 but it
no longer works on FC6 final.  When the laptop resumes from being suspended, the
screen turns white with irregular dark borders, and it gradually fades into
white.  (I've seen this weird "feature" of X on a number of machines with
wrongly-configured X servers... what is this anyway?)  I will attach three
photos of the screen as it progresses towards white.  (Sorry for the poor photo
quality.)

Everything but X seems to come up fine, and pressing the power button initiates
a shutdown etc.

Comment 1 Luke Hutchison 2006-11-02 05:58:48 UTC
Created attachment 140088 [details]
stage 1

Comment 2 Luke Hutchison 2006-11-02 05:59:34 UTC
Created attachment 140089 [details]
stage 2

Comment 3 Luke Hutchison 2006-11-02 05:59:55 UTC
Created attachment 140090 [details]
stage 3

Comment 4 Luke Hutchison 2006-11-08 23:47:59 UTC
PS fading to white takes something on the order of 10 seconds or so.  I don't
think this is a chipset thing, I have seen it on nVidia chipsets too.  The
chipset on this laptop is an i855GM.



Comment 5 Thomas J. Baker 2006-11-09 15:25:21 UTC
I've got a Dell XPS M1210 with Intel 945GM graphics and while I don't get the
white screen, I don't get any video on resume. System resumes fine and I can hit
the power button for a clean shutdown but I don't get video. Switching to a
virtual console doesn't show anything either but after hitting the power button,
I do get virtual console output while the laptop shuts down.

Comment 6 Luke Hutchison 2006-11-09 18:42:41 UTC
Changing the summary, I realized I put i810 rather than i845GM in the first
place, and as the 855 is related to the 945, I put that in there too... 

Comment 7 Luke Hutchison 2006-11-09 18:44:50 UTC
PS I would like to help fix this problem, but I actually need to sell this
laptop in about a week.  I am willing to try anything before then to help
diagnose and fix the problem, if any knowledgeable kernel/X hacker can point me
in the right direction before then.  In about a week's time I won't be able to
do any hands-on debugging.  Sorry, I didn't know I was selling the laptop when I
filed the bug.



Note You need to log in before you can comment on or make changes to this bug.